Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util
Class Lookup.Result

    java.lang.Object
      org.openide.util.Lookup.Result

Enclosing class:
  Lookup

    public abstract static class Lookup.Result

extends Object

Result of a lookup request. Allows access to all matching instances at once. Also permits listening to changes in the result. Result can contain duplicate items.

Constructor Summary
`Lookup.Result()`

Method Summary
`abstract void` | `addLookupListener(LookupListener l)` Registers a listener that is invoked when there is a possible change in this result.
`Set` | `allClasses()` Get all classes represented in the result.
`abstract Collection` | `allInstances()` Get all instances in the result.
`Collection` | `allItems()` Get all registered items.
`abstract void` | `removeLookupListener(LookupListener l)` Unregisters a listener previously added.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lookup.Result

    public Lookup.Result()

Method Detail

### addLookupListener

    public abstract void addLookupListener(LookupListener l)

  Registers a listener that is invoked when there is a possible change in this result.

  Parameters:
    `l` - the listener to add

### removeLookupListener

    public abstract void removeLookupListener(LookupListener l)

  Unregisters a listener previously added.

  Parameters:
    `l` - the listener to remove

### allInstances

    public abstract Collection allInstances()

  Get all instances in the result. The return value type should be List instead of Collection, but it is too late to change it.

  Returns:
    unmodifiable collection of all instances that will never change its content

### allClasses

    public Set allClasses()

  Get all classes represented in the result. That is, the set of concrete classes used by instances present in the result. All duplicate classes will be omitted.

  Returns:
    unmodifiable set of `Class` objects that will never change its content
  Since:
    1.8

### allItems

    public Collection allItems()

  Get all registered items. This should include all pairs of instances together with their classes, IDs, and so on. The return value type should be List instead of Collection, but it is too late to change it.

  Returns:
    unmodifiable collection of `Lookup.Item` that will never change its content
  Since:
    1.8

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.